libvisio::VSDGeometry Class Reference documentation

Public Member Functions | Public Attributes | List of all members
libvisio::VSDGeometry Class Reference
Inheritance diagram for libvisio::VSDGeometry:

## Public Member Functions
| VSDGeometry (unsigned id, unsigned level, const boost::optional< bool > &noFill, const boost::optional< bool > &noLine, const boost::optional< bool > &noShow)
virtual | ~VSDGeometry ()
void | handle (VSDCollector *collector) const
VSDGeometryListElement * | clone ()
Public Member Functions inherited from libvisio::VSDGeometryListElement
| VSDGeometryListElement (unsigned id, unsigned level)
virtual | ~VSDGeometryListElement ()
virtual unsigned | getDataID () const
void | setLevel (unsigned level)

## Public Attributes
bool | m_noFill
bool | m_noLine
bool | m_noShow

## Additional Inherited Members
Protected Attributes inherited from libvisio::VSDGeometryListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

## § VSDGeometry()

libvisio::VSDGeometry::VSDGeometry | ( | unsigned | id,
|  | unsigned | level,
|  | const boost::optional< bool > & | noFill,
|  | const boost::optional< bool > & | noLine,
|  | const boost::optional< bool > & | noShow
| ) |  |
| inline

Referenced by clone().

## § ~VSDGeometry()

virtual libvisio::VSDGeometry::~VSDGeometry | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## § clone()

libvisio::VSDGeometryListElement * libvisio::VSDGeometry::clone | ( |  | ) |
| virtual

Implements libvisio::VSDGeometryListElement.

Referenced by libvisio::VSDArcTo::~VSDArcTo(), libvisio::VSDEllipse::~VSDEllipse(), libvisio::VSDEllipticalArcTo::~VSDEllipticalArcTo(), libvisio::VSDEmpty::~VSDEmpty(), ~VSDGeometry(), libvisio::VSDInfiniteLine::~VSDInfiniteLine(), libvisio::VSDLineTo::~VSDLineTo(), libvisio::VSDMoveTo::~VSDMoveTo(), libvisio::VSDNURBSTo1::~VSDNURBSTo1(), libvisio::VSDNURBSTo2::~VSDNURBSTo2(), libvisio::VSDNURBSTo3::~VSDNURBSTo3(), libvisio::VSDPolylineTo1::~VSDPolylineTo1(), libvisio::VSDPolylineTo2::~VSDPolylineTo2(), libvisio::VSDPolylineTo3::~VSDPolylineTo3(), libvisio::VSDRelCubBezTo::~VSDRelCubBezTo(), libvisio::VSDRelEllipticalArcTo::~VSDRelEllipticalArcTo(), libvisio::VSDRelLineTo::~VSDRelLineTo(), libvisio::VSDRelMoveTo::~VSDRelMoveTo(), libvisio::VSDRelQuadBezTo::~VSDRelQuadBezTo(), libvisio::VSDSplineKnot::~VSDSplineKnot(), and libvisio::VSDSplineStart::~VSDSplineStart().

## § handle()

void libvisio::VSDGeometry::handle | ( | VSDCollector * | collector | ) | const
| virtual

Implements libvisio::VSDGeometryListElement.

Referenced by libvisio::VSDArcTo::~VSDArcTo(), libvisio::VSDEllipse::~VSDEllipse(), libvisio::VSDEllipticalArcTo::~VSDEllipticalArcTo(), libvisio::VSDEmpty::~VSDEmpty(), ~VSDGeometry(), libvisio::VSDInfiniteLine::~VSDInfiniteLine(), libvisio::VSDLineTo::~VSDLineTo(), libvisio::VSDMoveTo::~VSDMoveTo(), libvisio::VSDNURBSTo1::~VSDNURBSTo1(), libvisio::VSDNURBSTo2::~VSDNURBSTo2(), libvisio::VSDNURBSTo3::~VSDNURBSTo3(), libvisio::VSDPolylineTo1::~VSDPolylineTo1(), libvisio::VSDPolylineTo2::~VSDPolylineTo2(), libvisio::VSDPolylineTo3::~VSDPolylineTo3(), libvisio::VSDRelCubBezTo::~VSDRelCubBezTo(), libvisio::VSDRelEllipticalArcTo::~VSDRelEllipticalArcTo(), libvisio::VSDRelLineTo::~VSDRelLineTo(), libvisio::VSDRelMoveTo::~VSDRelMoveTo(), libvisio::VSDRelQuadBezTo::~VSDRelQuadBezTo(), libvisio::VSDSplineKnot::~VSDSplineKnot(), and libvisio::VSDSplineStart::~VSDSplineStart().

## Member Data Documentation

## § m_noFill

bool libvisio::VSDGeometry::m_noFill

Referenced by libvisio::VSDGeometryList::addGeometry(), clone(), and handle().

## § m_noLine

bool libvisio::VSDGeometry::m_noLine

Referenced by libvisio::VSDGeometryList::addGeometry(), clone(), and handle().

## § m_noShow

bool libvisio::VSDGeometry::m_noShow

Referenced by libvisio::VSDGeometryList::addGeometry(), clone(), and handle().

The documentation for this class was generated from the following file:

- VSDGeometryList.cpp